2 Dimensional Ising Model Simulate the change in energy and magnetization in a ferro magnet

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
data_t Class Reference

## Public Member Functions
| data_t (double E, double E2, double M, double M2, double M_abs)
template<class T >
data_t | operator/ (T num)
template<class T >
data_t & | operator/= (T num)
template<class T >
data_t | operator* (T num)
template<class T >
data_t & | operator*= (T num)
data_t | operator+ (const data_t &b)
data_t & | operator+= (const data_t &b)
template<class T >
void | operator= (T num)

## Public Attributes
double | E
double | M
double | E2
double | M2
double | M_abs

## Detailed Description

Definition at line 18 of file data_type.hpp.

## Constructor & Destructor Documentation

## ◆ data_t() [1/2]

data_t::data_t | ( |  | ) |
| inline

Definition at line 22 of file data_type.hpp.

## ◆ data_t() [2/2]

data_t::data_t | ( | double | E,
|  | double | E2,
|  | double | M,
|  | double | M2,
|  | double | M_abs
| ) |  |
| inline

Definition at line 31 of file data_type.hpp.

## Member Function Documentation

## ◆ operator*()

template<class T >

data_t data_t::operator* | ( | T | num | ) |
| inline

Definition at line 63 of file data_type.hpp.

## ◆ operator*=()

template<class T >

data_t & data_t::operator*= | ( | T | num | ) |
| inline

Definition at line 75 of file data_type.hpp.

## ◆ operator+()

data_t data_t::operator+ | ( | const data_t & | b | ) |
| inline

Definition at line 86 of file data_type.hpp.

## ◆ operator+=()

data_t & data_t::operator+= | ( | const data_t & | b | ) |
| inline

Definition at line 98 of file data_type.hpp.

## ◆ operator/()

template<class T >

data_t data_t::operator/ | ( | T | num | ) |
| inline

Definition at line 40 of file data_type.hpp.

## ◆ operator/=()

template<class T >

data_t & data_t::operator/= | ( | T | num | ) |
| inline

Definition at line 52 of file data_type.hpp.

## ◆ operator=()

template<class T >

void data_t::operator= | ( | T | num | ) |
| inline

Definition at line 109 of file data_type.hpp.

## Member Data Documentation

## ◆ E

double data_t::E

Definition at line 20 of file data_type.hpp.

## ◆ E2

double data_t::E2

Definition at line 20 of file data_type.hpp.

## ◆ M

double data_t::M

Definition at line 20 of file data_type.hpp.

## ◆ M2

double data_t::M2

Definition at line 20 of file data_type.hpp.

## ◆ M_abs

double data_t::M_abs

Definition at line 20 of file data_type.hpp.

The documentation for this class was generated from the following file:

- include/data_type.hpp